Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.eltima.chart
Class ELChartDataModel

    java.lang.Object
      com.eltima.chart.ELChartDataModel

    public class ELChartDataModel

extends java.lang.Object

The ELChartDataModel class.

Copyright: Copyright (c) 2000-2007

Company: Eltima Software

Version:
  5.1
Author:
  [SoftInfinity Dpt.]

Field Summary
`static int` | `TYPE_CATEGORY`
`static int` | `TYPE_XY`
`static int` | `TYPE_XYZ`
`static int` | `V_CATEGORY`
`static int` | `V_XY_X`
`static int` | `V_XY_Y`
`static int` | `V_XYZ_X`
`static int` | `V_XYZ_Y`

Constructor Summary
`ELChartDataModel()` Creates new instance of ELChartDataModel.
`ELChartDataModel(java.lang.String[] series, java.lang.String[] categories, java.lang.Number[][] data)` Creates new instance of ELChartDataModel with specified series, categories and data.

Method Summary
`java.lang.String[]` | `getCategories()` Returns model cetegories.
`java.lang.String` | `getCategoriesAt(int row)` Returns catogories for specified row.
`int` | `getCategoriesCount()` Returns number of categories.
`double` | `getCategorySum(int category)` Returns sum values for specified category.
`java.lang.Number[][]` | `getData()` Returns model data.
`java.lang.Number` | `getMaxValue(int type)` Returns data maximum value.
`java.lang.Number` | `getMinValue(int type)` Returns data minimum value.
`double` | `getNegMaxPsCategory()` Returns maximum sum negative values persent per categories.
`double` | `getNegMaxSumCategory()` Returns maximum sum negative values per categories.
`double` | `getPosMaxPsCategory()` Returns maximum sum positive values percent per categories.
`double` | `getPosMaxSumCategory()` Returns maximum sum positive values per categories.
`java.lang.String[]` | `getSeries()` Returns model series.
`java.lang.String` | `getSeriesAt(int column, int type)` Returns series for specified column.
`int` | `getSeriesCount(int type)` Returns number of series.
`void` | `refreshSum()`
`void` | `setData(java.lang.String[] series, java.lang.String[] categories, java.lang.Number[][] data)` Sets specified series, categories and data.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### V_CATEGORY

    public static final int V_CATEGORY

See Also:
  Constant Field Values

### V_XY_X

    public static final int V_XY_X

See Also:
  Constant Field Values

### V_XY_Y

    public static final int V_XY_Y

See Also:
  Constant Field Values

### V_XYZ_X

    public static final int V_XYZ_X

See Also:
  Constant Field Values

### V_XYZ_Y

    public static final int V_XYZ_Y

See Also:
  Constant Field Values

### TYPE_CATEGORY

    public static final int TYPE_CATEGORY

See Also:
  Constant Field Values

### TYPE_XY

    public static final int TYPE_XY

See Also:
  Constant Field Values

### TYPE_XYZ

    public static final int TYPE_XYZ

See Also:
  Constant Field Values

Constructor Detail

### ELChartDataModel

    public ELChartDataModel()

  Creates new instance of ELChartDataModel.

### ELChartDataModel

    public ELChartDataModel(java.lang.String[] series,
                            java.lang.String[] categories,
                            java.lang.Number[][] data)

  Creates new instance of ELChartDataModel with specified series, categories and data.

Method Detail

### setData

    public void setData(java.lang.String[] series,
                        java.lang.String[] categories,
                        java.lang.Number[][] data)

  Sets specified series, categories and data.

  Parameters:
    `series` - String[]
    `categories` - String[]
    `data` - Number[][]

### refreshSum

    public void refreshSum()

### getData

    public java.lang.Number[][] getData()

  Returns model data.

  Returns:
    Number[][]

### getCategories

    public java.lang.String[] getCategories()

  Returns model cetegories.

  Returns:
    String[]

### getSeries

    public java.lang.String[] getSeries()

  Returns model series.

  Returns:
    String[]

### getCategoriesCount

    public int getCategoriesCount()

  Returns number of categories.

  Returns:
    int

### getSeriesCount

    public int getSeriesCount(int type)

  Returns number of series.

  Parameters:
    `type` - int TYPE_CATEGORY, TYPE_XY or TYPE_XYZ
  Returns:
    int

### getCategoriesAt

    public java.lang.String getCategoriesAt(int row)

  Returns catogories for specified row.

  Parameters:
    `row` - int
  Returns:
    String

### getSeriesAt

    public java.lang.String getSeriesAt(int column,
                                        int type)

  Returns series for specified column.

  Parameters:
    `column` - int
    `type` - int TYPE_CATEGORY, TYPE_XY or TYPE_XYZ
  Returns:
    String

### getMaxValue

    public java.lang.Number getMaxValue(int type)

  Returns data maximum value.

  Parameters:
    `type` - int V_CATEGORY, V_XY_X, V_XY_Y, V_XYZ_X or V_XYZ_Y
  Returns:
    Number

### getMinValue

    public java.lang.Number getMinValue(int type)

  Returns data minimum value.

  Parameters:
    `type` - int V_CATEGORY, V_XY_X, V_XY_Y, V_XYZ_X or V_XYZ_Y
  Returns:
    Number

### getCategorySum

    public double getCategorySum(int category)

  Returns sum values for specified category.

  Parameters:
    `category` - int
  Returns:
    double

### getNegMaxSumCategory

    public double getNegMaxSumCategory()

  Returns maximum sum negative values per categories.

  Returns:
    double

### getPosMaxSumCategory

    public double getPosMaxSumCategory()

  Returns maximum sum positive values per categories.

  Returns:
    double

### getNegMaxPsCategory

    public double getNegMaxPsCategory()

  Returns maximum sum negative values persent per categories.

  Returns:
    double

### getPosMaxPsCategory

    public double getPosMaxPsCategory()

  Returns maximum sum positive values percent per categories.

  Returns:
    double

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2007 Eltima Software. All Rights Reserved.